SDL_GetCurrentCameraDriver(3)

NAME
SDL_GetCurrentCameraDriver - Get the name of the current camera driver.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetCurrentCameraDriver(void);

DESCRIPTION
The returned string points to internal static memory and thus never becomes invalid, even if you quit the camera subsystem and initialize a new driver (although such a case would return a different static string from another call to this function, of course). As such, you should not modify or free the returned string.

RETURN VALUE
Returns the name of the current camera driver or NULL if no driver has been initialized.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.